from rdflib import Graph
from rdflib.namespace import RDFS
from rdflib import ConjunctiveGraph, URIRef, RDFS, RDF, Namespace

def get_instances(keyword):
    an_list=[]
    with open('instances.txt') as f:
        for data in f:
            if (data.strip()).endswith(keyword):
                spliter_1 = data.split('$')
                spliter_2 = spliter_1[0].split("#")
                an_list.append(spliter_2[len(spliter_2) - 1])
    return an_list

file2 = open(r"instances.txt","w+") 

g = Graph()
g.load("../Ontologies/Mokos_18_1_7_47.ttl", format="turtle")

#EAGLEYE cannot find

for subj, obj in g.subject_objects(predicate=RDFS.subClassOf):
    subClass = subj + "$"+ obj + "\n"
    file2.write(subClass)

l = get_instances("SAO#StateSet")
print(l)

for i in l:
    p = URIRef("http://delab.csd.auth.gr/ontologies/2018/SAO#StateSet")
    for s, p, o in g.triples((None, RDF.type, p)):
        print(s)


